com.hazelcast.jet.kafka

## Class KafkaProcessors

- java.lang.Object
- - com.hazelcast.jet.kafka.KafkaProcessors

-     public final class KafkaProcessors
      extends Object

  Static utility class with factories of Apache Kafka source and sink processors.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V,T> ProcessorMetaSupplier` | `streamKafkaP(Properties properties, DistributedFunction<? super org.apache.kafka.clients.consumer.ConsumerRecord<K,V>,? extends T> projectionFn, WatermarkGenerationParams<? super T> wmGenParams, String... topics)` Returns a supplier of processors for `KafkaSources.kafka(Properties, DistributedFunction, String...)`.
    `static <T,K,V> ProcessorMetaSupplier` | `writeKafkaP(Properties properties, DistributedFunction<? super T,? extends org.apache.kafka.clients.producer.ProducerRecord<K,V>> toRecordFn)` Returns a supplier of processors for `KafkaSinks.kafka(Properties, DistributedFunction)`.
    `static <T,K,V> ProcessorMetaSupplier` | `writeKafkaP(Properties properties, String topic, DistributedFunction<? super T,? extends K> extractKeyFn, DistributedFunction<? super T,? extends V> extractValueFn)` Returns a supplier of processors for `KafkaSinks.kafka(Properties, String, DistributedFunction, DistributedFunction)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### streamKafkaP

          public static <K,V,T> ProcessorMetaSupplier streamKafkaP(@Nonnull
                                                                   Properties properties,
                                                                   @Nonnull
                                                                   DistributedFunction<? super org.apache.kafka.clients.consumer.ConsumerRecord<K,V>,? extends T> projectionFn,
                                                                   @Nonnull
                                                                   WatermarkGenerationParams<? super T> wmGenParams,
                                                                   @Nonnull
                                                                   String... topics)

      Returns a supplier of processors for `KafkaSources.kafka(Properties, DistributedFunction, String...)`.

    - #### writeKafkaP

          public static <T,K,V> ProcessorMetaSupplier writeKafkaP(@Nonnull
                                                                  Properties properties,
                                                                  @Nonnull
                                                                  String topic,
                                                                  @Nonnull
                                                                  DistributedFunction<? super T,? extends K> extractKeyFn,
                                                                  @Nonnull
                                                                  DistributedFunction<? super T,? extends V> extractValueFn)

      Returns a supplier of processors for `KafkaSinks.kafka(Properties, String, DistributedFunction, DistributedFunction)`.

    - #### writeKafkaP

          public static <T,K,V> ProcessorMetaSupplier writeKafkaP(@Nonnull
                                                                  Properties properties,
                                                                  @Nonnull
                                                                  DistributedFunction<? super T,? extends org.apache.kafka.clients.producer.ProducerRecord<K,V>> toRecordFn)

      Returns a supplier of processors for `KafkaSinks.kafka(Properties, DistributedFunction)`.

Copyright © 2018. All rights reserved.